- name: clean voip deployment type extern
  ansible.builtin.include_tasks: clean_extern.yml
    
- name: clean voip deployment type overlay
  ansible.builtin.include_tasks: clean_overlay.yml
    
- name: clean voip deployment type ipvlan
  ansible.builtin.include_tasks: clean_ipvlan.yml
    

- name: voip deployment type extern
  ansible.builtin.import_tasks: extern.yml
  when: voip_config.voip_deployment_type == "extern"
    
- name: voip deployment type extern
  ansible.builtin.import_tasks: overlay.yml
  when: voip_config.voip_deployment_type == "overlay"
    
- name: voip deployment type ipvlan_exist
  ansible.builtin.import_tasks: ipvlan_exist.yml
  when: voip_config.voip_deployment_type == "ipvlan_exist"
  
- name: voip deployment type ipvlan_new
  ansible.builtin.import_tasks: ipvlan_new.yml
  when: voip_config.voip_deployment_type == "ipvlan_new"
